Bug 206509 - FC6 Test3 fails to install on BladeCenter QS20 with default disk partition
FC6 Test3 fails to install on BladeCenter QS20 with default disk partition
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
6
All Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-14 15:34 EDT by IBM Bug Proxy
Modified: 2008-05-06 12:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:20:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anacdump.txt (81.04 KB, text/plain)
2006-09-14 15:36 EDT, IBM Bug Proxy
no flags Details
anaconda.log (54.23 KB, text/plain)
2006-09-14 15:36 EDT, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 27222 None None None Never

  None (edit)
Description IBM Bug Proxy 2006-09-14 15:34:15 EDT
LTC Owner is: thinh@us.ibm.com
LTC Originator is: thinh@us.ibm.com


Problem description:
FC6-Test3 install fails with default disk partition.

FC6-Test3 is downloaded from software.linux.ibm.com
kernel level: 2.6.17-1.2630.fc6

Hardware Environment
    Machine type (p650, x235, SF2, etc.): BladeCenter QS20
    
Is this reproducible? YES
    If so, how long does it (did it) take to reproduce it? 2 minutes
    Describe the steps:
      - BOOTP install
      - select default disk partition
      - anaconda will fail when trying to create a lvgroup
   
Additional information:

The work-around is manually partition the disk without using LVM. This is the
currnt partition layout to get FC6-Test3 installed.

sh-3.1# fdisk -l

Disk /dev/hda: 40.0 GB, 40007761920 bytes
255 heads, 63 sectors/track, 4864 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/hda1   *           1           1        8001   41  PPC PReP Boot
/dev/hda2               2          14      104422+  83  Linux    <-- for /boot
/dev/hda3              15         167     1228972+  82  Linux swap / Solaris
/dev/hda4             168        4864    37728652+   5  Extended
/dev/hda5             168        2717    20482843+  83  Linux    <-- for /
/dev/hda6            2718        3801     8707198+  83  Linux    <-- for /home
/dev/hda7            3802        4864     8538516   83  Linux    <-- for /opt
sh-3.1#


after the install completed, the blade does not come up, it keeps restarting
itself. I'll open a new bug for this.

--------------
My current BladeCenter QS20 current has FC5 installed, its disk partition as
following:
sh-3.1# fdisk -l

Disk /dev/hda: 40.0 GB, 40007761920 bytes
255 heads, 63 sectors/track, 4864 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/hda1   *           1           1        8001   41  PPC PReP Boot
/dev/hda2               2          14      104422+  83  Linux
/dev/hda3              15        4864    38957625   8e  Linux LVM
sh-3.1#


- vnc new install (not updating).
- select the default partition option:
   Remove Linux partitions on selected hard drive and create default layout:

   LVM Volume Group
     VolGroup00                                                  37984
       LogVol00                   swap      (check for format)  1984
       LogVol01        /          ext3      (check for format) 36000
   Hard Drives
     /dev/hda
       /dev/hda1              PPC PReP Boot                        8  1    1
       /dev/hda2   /boot      ext3          (check for format)   102  2   14
       /dev/hda3   VolGroup00 LVM PV        (check for format) 38045 15 4864 
  

- accepted it, and select the install packages
- and the exception occurred:
Traceback (most recent call first):
  File "/usr/lib/anaconda/fsset.py", line 2315, in setupDevice
    raise SystemError, "lvcreate failed for %s" %(self.name,)
  File "/usr/lib/anaconda/fsset.py", line 1616, in createLogicalVolumes
    entry.device.setupDevice(chroot, vgdevice = vg)
  File "/usr/lib/anaconda/packages.py", line 141, in turnOnFilesystems
    anaconda.id.fsset.createLogicalVolumes(anaconda.rootPath)
  File "/usr/lib/anaconda/dispatch.py", line 200, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 123, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 919, in nextClicked
    self.anaconda.dispatch.gotoNext()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 243, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 946, in handleRenderCallback
    self.currentWindow.renderCallback()
SystemError: lvcreate failed for LogVol01
Comment 1 IBM Bug Proxy 2006-09-14 15:36:09 EDT
Created attachment 136297 [details]
anacdump.txt
Comment 2 IBM Bug Proxy 2006-09-14 15:36:31 EDT
Created attachment 136298 [details]
anaconda.log
Comment 3 IBM Bug Proxy 2006-11-17 15:16:00 EST
----- Additional Comments From thinh@us.ibm.com (prefers email at th2tran@austin.ibm.com)  2006-11-17 15:14 EDT -------
Redhat team,
FC6 GA works fine on my PPC64.
Do you want to close this bug?

Thanks
Thinh Tran 
Comment 4 IBM Bug Proxy 2007-01-24 17:30:38 EST
changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|ASSIGNED                    |FIXEDAWAITINGTEST
         Resolution|                            |FIX_BY_DISTRO




------- Additional Comments From thinh@us.ibm.com (prefers email at th2tran@austin.ibm.com)  2007-01-24 17:25 EDT -------
this was fixed in FC6 GA.  Closing at IBM side. 
Comment 5 Matthew Miller 2007-04-06 15:40:41 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 6 Bug Zapper 2008-04-03 23:43:30 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 Bug Zapper 2008-05-06 12:20:08 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.